| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]

# Method mkdir()

Method mkdir

  `int mkdir(string dirname, void|int mode)`

Description

  Create a directory.

  If mode is specified, it's will be used for the new directory after being `&`'ed with the current umask (on OS'es that support this).

Returns

  Returns `0` (zero) on failure, `1` otherwise.

See also

  rm() , cd() , Stdio.mkdirhier()